Name:           mate-file-manager-sendto
Version:        1.6.0
Release:        2%{?dist}
Summary:        MATE file manager send to
License:        GPLv2+
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

BuildRequires:  mate-common
BuildRequires:  mate-doc-utils
BuildRequires:  mate-file-manager-devel
BuildRequires:  gupnp-devel
BuildRequires:  pidgin-devel
BuildRequires:  gajim

%description
s package provides 'send to' functionality to the MATE Desktop file
manager, Caja.

%package devel
Summary:   Development libraries and headers for mate-file-manager-send-to
Requires:  %{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries and headers for mate-file-manager-sendto

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure   \
    --disable-static             \
    --disable-schemas-compile    \
    --with-gajim

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install

find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

# remove needless gsettings convert file
rm -f  %{buildroot}%{_datadir}/MateConf/gsettings/caja-sendto-convert

%find_lang caja-sendto


%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f caja-sendto.lang
%doc AUTHORS COPYING README
%{_bindir}/caja-sendto
%dir %{_libdir}/caja-sendto
%dir %{_libdir}/caja-sendto/plugins
%{_libdir}/caja-sendto/plugins/libnstburn.so
%{_libdir}/caja-sendto/plugins/libnstemailclient.so
%{_libdir}/caja-sendto/plugins/libnstgajim.so
%{_libdir}/caja-sendto/plugins/libnstpidgin.so
%{_libdir}/caja-sendto/plugins/libnstremovable_devices.so
%{_libdir}/caja-sendto/plugins/libnstupnp.so
%{_libdir}/caja/extensions-2.0/libcaja-sendto.so
%{_datadir}/caja-sendto/ui/caja-sendto.ui
%{_datadir}/glib-2.0/schemas/org.mate.Caja.Sendto.gschema.xml
%{_datadir}/gtk-doc/html/caja-sendto
%{_mandir}/man1/caja-sendto.1.*

%files devel
%dir %{_includedir}/caja-sendto
%{_includedir}/caja-sendto/caja-sendto-plugin.h
%{_libdir}/pkgconfig/caja-sendto.pc

%changelog
* Sun Jul 28 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- own directories
- clean BRs
- remove gsettings convert file
- sort file section
- improve find language

* Sat Apr 13 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 17 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-2
- clean up specfile as per package review

* Sat Dec 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Initial build
